%define unmangled_name google-api-python-client

%define mangled_name python3-google-api-python-client
%define version 1.7.8
%define unmangled_version 1.7.8
%define unmangled_version 1.7.8
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Google API Client Library for Python
Name: %{mangled_name}
Requires: python3-httplib2 < 1dev, python3-httplib2 >= 0.9.2, python3-google-auth >= 1.4.1, python3-google-auth-httplib2 >= 0.0.3, python3-six < 2dev, python3-six >= 1.6.1, python3-uritemplate < 4dev, python3-uritemplate >= 3.0.0
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: Apache 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Google Inc. <UNKNOWN>
Url: http://github.com/google/google-api-python-client/

%description
The Google API Client for Python is a client library for
accessing the Plus, Moderator, and many other Google APIs.

%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
